STPCPY(3)

NAME
stpcpy - copy string returning a pointer to its end

SYNOPSIS

#include <string.h>

char *stpcpy(char *restrict dst, const char *restrict src);

DESCRIPTION

stpcpy copies the string pointed to by src (including the terminating null character) to the array pointed to by dst.

RETURNS

This function returns a pointer to the end of the destination string, thus pointing to the trailing '\0'.

PORTABILITY

stpcpy is a GNU extension, candidate for inclusion into POSIX/SUSv4.

stpcpy requires no supporting OS subroutines.